summaryrefslogtreecommitdiff
path: root/firehose.sh
diff options
context:
space:
mode:
Diffstat (limited to 'firehose.sh')
-rwxr-xr-xfirehose.sh13
1 files changed, 4 insertions, 9 deletions
diff --git a/firehose.sh b/firehose.sh
index b6d1e58..8b710ef 100755
--- a/firehose.sh
+++ b/firehose.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
MORPH="${MORPH:-"$(which morph)"}"
@@ -6,16 +7,10 @@ BASE="$(dirname "$0")"
BASE="${BASE:-.}"
BASE="$(realpath "${BASE}")"
-# Currently the only way to get this to work is to hardcode the path of the plugin.
-# Obviously this is not ideal, but until a working method is obtained this remains
-# our best option at present.
-
-MORPH_PLUGIN_PATH="/usr/lib/python2.7/site-packages/firehose-0.1-py2.7.egg/firehose/plugin"
-
-export MORPH_PLUGIN_PATH
-
PYTHONPATH="${BASE}${PYTHONPATH:+:${PYTHONPATH}}"
-
export PYTHONPATH
+MORPH_PLUGIN_PATH="$(python -c 'from os.path import *; import firehose; print(abspath(dirname(firehose.__file__)))')/plugin"
+export MORPH_PLUGIN_PATH
+
exec "${MORPH}" firehose "$@"